QGIS Application - Bug report #20310
External windows size not changeable, MacOS
2018-11-01 08:03 AM - Till Weber

Status: Closed

Priority: High

Assignee:

Category: mac_os_specific

Affected QGIS version:3.4.0 Regression?: Yes

Operating System: Mac OS 10.13.6 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 28131
Description

When using a externernal window, like 3dMap, second map, attribute Table and so on. The size of this Window is not changeable. The
main window can be proper adjusted but not the external ones.

History

#1 - 2018-11-01 09:32 AM - Giovanni Manghi
- Category changed from Browser to mac_os_specific
- Status changed from Open to Feedback

Why regression, was not a problem in previous versions for macOS (as this is not an issue on Linux or Windows)?

#2 - 2018-11-01 09:42 AM - Till Weber
- Assignee set to Giovanni Manghi

No it was not a problem in previous versions like 3.2.3 in macOS.

Sorry did i understand the regression rigth like this?

#3 - 2018-11-01 07:31 PM - Ugo Santana

Attribute table, symbol selector, layer properties, field calculator are resizable here.

| can confirm that the new map window or new 3d map window are not resizable. Apparently, they are not regular windows, they are that "toolbox

window" of the macos interface...

#4 - 2018-11-01 09:26 PM - Giovanni Manghi
- Assignee deleted (Giovanni Manghi)

Till Weber wrote:

No it was not a problem in previous versions like 3.2.3 in macOS.
Sorry did i understand the regression rigth like this?
is the correct interpretation of regression.

#5 - 2018-11-01 09:26 PM - Giovanni Manghi
- Status changed from Feedback to Open

#6 - 2018-11-02 04:53 PM - Garth Fletcher
QGIS 3.4.0-1 on Mac OS X 10.12.6 (Sierra)
Some of the Panels whose size is not changeable by dragging on lower right corner when they are not part of the main canvas:
Layers, Layer Order

Processing Toolbox

Log Messages

Overview

Results Viewer

Value Tool

... among others

#7 - 2018-11-03 07:04 PM - Ades Six

Qgis 3.4 MacOs 10.11.6, can't resize exernals windows : explorator, go2streetview, for example, I've not tried more...

#8 - 2018-11-11 05:03 AM - Mars Sjoden

| can confirm, with mac OS Mojave, QGIS 3.4.1 can not resize undocked/free windows. Docked panels can be resized.

#9 - 2018-11-25 12:44 PM - Ugo Santana

3.4.2 installed and now it's working!

#10 - 2018-11-25 05:17 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Open to Closed
